import { Observable } from 'rxjs';
export declare class EventsManagerService {
    private _onServerConnectivityError;
    private _onTokenRefreshStart;
    private _onTokenRefreshed;
    private _onTokenRefreshError;
    private _onUserSignIn;
    private _onUserSignOut;
    private _onConnectionSetup;
    static ON_SERVER_CONNECTIVITY_ERROR: string;
    static ON_TOKEN_REFRESH_START: string;
    static ON_TOKEN_REFRESHED: string;
    static ON_TOKEN_REFRESH_ERROR: string;
    static ON_USER_SIGN_OUT: string;
    static ON_USER_SIGN_IN: string;
    static ON_CONNECTION_SETUP: string;
    readonly onServerConnectivityError: Observable<any>;
    readonly onConnectionSetup: Observable<any>;
    readonly onUserSignIn: Observable<any>;
    readonly onUserSignOut: Observable<any>;
    readonly onTokenRefreshStart: Observable<any>;
    readonly onTokenRefreshed: Observable<any>;
    readonly onTokenRefreshError: Observable<any>;
    trigger(event: string, data?: any): void;
}
